﻿
/*jq-alert弹出层封装样式*/
.jq-alert {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: row;
    flex-direction: row;
    -webkit-justify-content: center;
    -webkit-align-items: center;
    justify-content: center;
    align-items: center;
    background-color: rgba(0,0,0,.3);
    z-index: 99;
}

    .jq-alert .alert {
        background-color: #FFF;
        width: 80%;
        height: auto;
        border-radius: 4px;
        overflow: hidden;
    }

        .jq-alert .alert .title {
            position: relative;
            margin: 0;
            font-size: 5vw;
            height: 7vw;
            line-height: 7vw;
            text-align: center;
            font-weight: normal;
            color: #333;
        }
        /*.jq-alert .alert .title:after{*/
        /*position: absolute;*/
        /*content: "";*/
        /*bottom: 0;*/
        /*left:0;*/
        /*width: 100%;*/
        /*height: 1px;*/
        /*background-color: #ededed;*/
        /*transform: scaley(.5);*/
        /*-webkit-transform: scaley(.5);*/
        /*}*/
        .jq-alert .alert .content {
            padding: 4vw;
            font-size: 3vw;
            line-height:5vw;
            color: #888;
        }

            .jq-alert .alert .content .prompt {
                width: 100%;
            }

                .jq-alert .alert .content .prompt .prompt-content {
                    font-size: 3vw;
                    color: rgba(0,0,0,.54);
                }

                .jq-alert .alert .content .prompt .prompt-text {
                    background: none;
                    border: none;
                    outline: none;
                    width: 100%;
                    height: 5vw;
                    font-size:3vw;
                    box-sizing: border-box;
                    margin-top: 1vw;
                    background-color: #FFF;
                    border: 0.1vw solid #dcdcdc;
                }

                    .jq-alert .alert .content .prompt .prompt-text:focus {
                        border: 1px solid #2196F3;
                        background-color: rgba(33,150,243,.08);
                    }

        .jq-alert .alert .fd-btn {
            position: relative;
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
            -webkit-flex-direction: row;
            flex-direction: row;
            -webkit-justify-content: center;
            -webkit-align-items: center;
            justify-content: center;
            align-items: center;
        }

            .jq-alert .alert .fd-btn:after {
                position: absolute;
                content: "";
                top: 0;
                left: 0;
                width: 100%;
                height: 1px;
                background-color: #F3F3F3;
            }

            .jq-alert .alert .fd-btn a {
                width: 100%;
                height: .8rem;
                font-size: .26rem;
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: center;
                color: rgba(0,0,0,.8);
            }

                .jq-alert .alert .fd-btn a.cancel {
                    position: relative;
                    color: rgba(0,0,0,.5);
                    font-size: 4vw;
                    line-height: 6vw;
                    height: 8vw;
                    padding-top: 2vw;
                }

                    .jq-alert .alert .fd-btn a.cancel:after {
                        content: "";
                        position: absolute;
                        top: .1rem;
                        right: 0;
                        width: 1px;
                        height: .6rem;
                        background-color: #F3F3F3;
                    }

                .jq-alert .alert .fd-btn a.confirm {
                    color: #2196F3;
                    font-size: 4vw;
                    line-height: 6vw;
                    height: 8vw;
                    padding-top: 2vw;
                }

                    .jq-alert .alert .fd-btn a.confirm:active {
                        background-color: #2196F3;
                        color: #FFF;
                    }

/*toast弹出层*/
.jq-toast {
    z-index: 999;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    flex-direction: row;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    justify-content: center;
    -webkit-justify-content: center;
    align-items: center;
    -webkit-align-items: center;
}

    .jq-toast .toast {
        max-width: 80%;
        padding: 1vw;
        background-color: rgba(0,0,0,.48);
        color: #FFF;
        border-radius: 4px;
        font-size: 2vw;
        line-height:2vw;
    }
